Index: park_integration/AbstractFitEngine.py
===================================================================
--- park_integration/AbstractFitEngine.py	(revision d53bc338cd87dedc3780e7ca774441b3057a9684)
+++ park_integration/AbstractFitEngine.py	(revision ee5b04cc7ceddf34bee2bdd5b33cb63f2d5c8152)
@@ -1,5 +1,6 @@
 
 class FitEngine:
-    
+    def __init__(self):
+        self.paramList=[]
     def _concatenateData(self, listdata=[]):
         """  
@@ -29,5 +30,5 @@
                         dytemp.append(data.dy[i])
                     else:
-                        raise RuntimeError, "Fit._concatenateData: y-errors missinge"
+                        raise RuntimeError, "Fit._concatenateData: y-errors missing"
             return xtemp, ytemp,dytemp
     
@@ -47,8 +48,8 @@
         """
         print "AbstractFitEngine:  fitting parmater",pars
-        temp=[]
+       
         if pars !={}:
             self.parameters=[]
-            self.paramList=[]
+            
             if model==None:
                 raise ValueError, "Cannot set parameters for empty model"
@@ -58,6 +59,6 @@
                     param = Parameter(model, key, value)
                     self.parameters.append(param)
-                    temp.append(key)
-            self.paramList.append(temp)
+                   
+                    self.paramList.append(key)
             print "AbstractFitEngine: self.paramList2", self.paramList
             #A fitArrange is already created but contains dList only at Uid
Index: park_integration/ParkFitting.py
===================================================================
--- park_integration/ParkFitting.py	(revision 37d9521c19ce24d81fa059f1bdb35b421967f5ab)
+++ park_integration/ParkFitting.py	(revision ee5b04cc7ceddf34bee2bdd5b33cb63f2d5c8152)
@@ -141,5 +141,5 @@
         """
         self.fitArrangeList={}
-        
+        self.paramList=[]
         
     def createProblem(self):
@@ -204,17 +204,17 @@
         localfit.ftol = 1e-8
         fitter = FitMC(localfit=localfit)
-        try:
-            
-            result = fit.fit(self.problem,
-                         fitter=fitter,
-                         handler= fitresult.ConsoleUpdate(improvement_delta=0.1))
-          
+        
+        result = fit.fit(self.problem,
+                     fitter=fitter,
+                     handler= fitresult.ConsoleUpdate(improvement_delta=0.1))
+        print "ParkFitting: result",result
+        if result !=None:
             #for p in result.parameters:
             #    print "fit in park fitting", p.name, p.value,p.stderr
             return result.fitness,result.pvec,result.cov,result
-           
-        except :
-            raise
-            return
+        else:
+            raise ValueError, "SVD did not converge"
+            
+        
         
     
Index: park_integration/ScipyFitting.py
===================================================================
--- park_integration/ScipyFitting.py	(revision 0eb801ae42d41a562966a06b8284e187570d280d)
+++ park_integration/ScipyFitting.py	(revision ee5b04cc7ceddf34bee2bdd5b33cb63f2d5c8152)
@@ -41,4 +41,5 @@
         """
         self.fitArrangeList={}
+        self.paramList=[]
         
     def fit(self,qmin=None, qmax=None):
@@ -64,10 +65,6 @@
         model = fitproblem.get_model()
         listdata = fitproblem.get_data()
-        
-       
         # Concatenate dList set (contains one or more data)before fitting
         xtemp,ytemp,dytemp=self._concatenateData( listdata)
-        
-        #print "dytemp",dytemp
         #Assign a fit range is not boundaries were given
         if qmin==None:
@@ -75,8 +72,6 @@
         if qmax==None:
             qmax= max(xtemp) 
-        
         #perform the fit 
         chisqr, out, cov = fitHelper(model,self.parameters, xtemp,ytemp, dytemp ,qmin,qmax)
-        
         return chisqr, out, cov
     
@@ -108,5 +103,5 @@
         residuals = []
         for j in range(len(x)):
-            if x[j]>qmin and x[j]<qmax:
+            if x[j] >= qmin and x[j] <= qmax:
                 residuals.append( ( y[j] - model.runXY(x[j]) ) / err_y[j] )
             
